package ru.yandex.canvas.service.video.presets.elements;

import ru.yandex.canvas.service.video.presets.PresetDescription;

public enum BodyElementFactory implements ElementFactory {
    INSTANCE;

    public BodyElement create(PresetDescription description) {
        if (description.getBodyPresent() != null && description.getBodyPresent()) {
            return new BodyElement(description);
        }

        return null;
    }
}
